Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.ui.table
Class IXDefaultCellEditor.IXEditorDelegate

    java.lang.Object
      ix.iface.ui.table.IXDefaultCellEditor.IXEditorDelegate

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.ItemListener, java.util.EventListener

Enclosing class:
  IXDefaultCellEditor

    protected class IXDefaultCellEditor.IXEditorDelegate

extends java.lang.Object
implements java.awt.event.ActionListener, java.awt.event.ItemListener

Field Summary
`protected java.lang.Object` | `value` Not implemented.

Constructor Summary
`protected` | `IXDefaultCellEditor.IXEditorDelegate()`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `cancelCellEditing()` Not implemented.
`java.lang.Object` | `getCellEditorValue()` Not implemented.
`boolean` | `isCellEditable(java.util.EventObject anEvent)` Not implemented.
`void` | `itemStateChanged(java.awt.event.ItemEvent e)`
`void` | `setValue(java.lang.Object x)` Not implemented.
`(package private) boolean` | `shouldSelectCell(java.util.EventObject anEvent)` Unfortunately, restrictions on API changes force us to declare this method package private.
`boolean` | `startCellEditing(java.util.EventObject anEvent)` Not implemented.
`boolean` | `stopCellEditing()` Not implemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected java.lang.Object value

  Not implemented.

Constructor Detail

### IXDefaultCellEditor.IXEditorDelegate

    protected IXDefaultCellEditor.IXEditorDelegate()

Method Detail

### getCellEditorValue

    public java.lang.Object getCellEditorValue()

  Not implemented.

### setValue

    public void setValue(java.lang.Object x)

  Not implemented.

### isCellEditable

    public boolean isCellEditable(java.util.EventObject anEvent)

  Not implemented.

### shouldSelectCell

    boolean shouldSelectCell(java.util.EventObject anEvent)

  Unfortunately, restrictions on API changes force us to declare this method package private.

### startCellEditing

    public boolean startCellEditing(java.util.EventObject anEvent)

  Not implemented.

### stopCellEditing

    public boolean stopCellEditing()

  Not implemented.

### cancelCellEditing

    public void cancelCellEditing()

  Not implemented.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD